## libdv 1.0.0

=== debian/changelog ===
libdv (1.0.0-17.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:47:38 +0000

libdv (1.0.0-17.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062276

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 18:42:22 +0000

libdv (1.0.0-17) unstable; urgency=medium

  * QA upload.
  * debian/control:
    - Bump debhelper-compat to "13".
    - Bump Standards-Version to "4.6.2".
  * debian/copyright: Update packaging copyright information.
  * debian/upstream/metadata: Add Bug-Database.

 -- Daniel de Viveiros Inácio <tredeneo@gmail.com>  Fri, 15 Dec 2023 10:21:03 +0000

libdv (1.0.0-16) unstable; urgency=medium

  * QA upload.
  * Disable sdl 1.2. (Closes: #1038099)
  * Drop playdv. (Closes: #967572)

 -- Bastian Germann <bage@debian.org>  Sat, 22 Jul 2023 13:56:29 +0200

libdv (1.0.0-15) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 11:26:49 +0100

libdv (1.0.0-14) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on pkg-config.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 22 Aug 2021 03:43:38 +0100

libdv (1.0.0-13) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Contact, Name.
  * Use secure URI in debian/watch.
  * Update standards version, no changes needed.
  * Set upstream metadata fields: Archive.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * Update standards version to 4.4.1, no changes needed.
  * Fix misspelling of Close => Closes.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Feb 2021 01:37:07 +0000

libdv (1.0.0-12) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Build-depend on debhelper-compat (= 12) instead of using
      debian/copmat file.
    + Bump Standards-Version to 4.3.0.
    + Update Vcs-* fields and use repo under Salsa Debian group.
    + Use Rules-Requires-Root: no.
  * debian/rules:
    + Use "dh_missing --fail-missing".
    + Enable full hardening.
    + Avoid direct invocation of dpkg-parsechangelog.
  * debian/symbols:
    + Add a Build-Depends-Package field (lintian).
    + Add newly emerged symbols.
  * debian/copyright:
    + Refresh Format field and use the canonical format.
  * debian/not-installed: Explicitly do not install libdv.la.
  * debian/changelog: Remove trailing spaces.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Jan 2019 16:46:07 -0500

libdv (1.0.0-11) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Vcs-* fields created.
  * debian/README.Debian created:
      - there is no 'E shlib-with-non-pic-code' in my local build. And
        'readelf -d' does not return a tag of type TEXTREL.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Tue, 19 Jul 2016 11:29:23 -0300

libdv (1.0.0-10) unstable; urgency=medium

  * QA upload.
  * Upload to sid.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 09 Jul 2016 17:00:13 -0300

libdv (1.0.0-9) experimental; urgency=medium

  * QA upload
  * debian/libdv4.symbols:
      - adjusts for * architecture
  * debian/rules:
      - override_dh_makeshlibs added. To avoid Debian revision number in
        debian/libdv4.symbols file.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 09 Jul 2016 10:05:57 -0300

libdv (1.0.0-8) experimental; urgency=medium

  * QA upload.
  * debian/control:
      - set debhelper >= 9. Build-Depends field.
      - bump Standars-Version from 3.9.2 to 3.9.8
      - libdv4-dev field:
          - ${shlibs:Depends} in Depends field removed.
  * debian/copyright:
      - add my name to maintainers
  * debian/libdv4.symbols file created.
  * debian/rules:
      - hardening added.
      - override_dh_auto_configure:
          - LDFLAGS="$(LDFLAGS) -Wl,--as-needed" added

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Fri, 08 Jul 2016 17:53:15 -0300

libdv (1.0.0-7) unstable; urgency=medium

  * Orphaning this

 -- Alessio Treglia <alessio@debian.org>  Tue, 16 Feb 2016 10:39:55 +0000

libdv (1.0.0-6) unstable; urgency=low

  * Revert "Link the documentation directory of all packages to libdv4's."
  * Purge old symlink /usr/share/doc/libdv-bin before installing new files.
    (Closes: #696071, #696167)

 -- Alessio Treglia <alessio@debian.org>  Mon, 17 Dec 2012 16:32:40 +0000

libdv (1.0.0-5) unstable; urgency=low

  * Link the documentation directory of all packages to libdv4's. This
    should closes: #696071 (squeeze -> wheezy upgrade bug)

 -- Alessio Treglia <alessio@debian.org>  Sun, 16 Dec 2012 19:38:55 +0000

libdv (1.0.0-4) unstable; urgency=low

  * New maintainer. (Closes: #654649), thanks to Daniel Kobras
    for the great work.
  * Switch packaging to 3.0 (quilt) format plus DH 7.
  * Convert patches to quilt format.
  * Build with Multi-Arch support. (Closes: #650994)
  * Drop libc6-dev from -DEV's Depends field.
  * Get rid of .la files.
  * Disable the build of static libraries.
  * Remove debian/libdv-bin.links, it doesn't work.
  * Remove debian/README.source, it's now unneeded.
  * Update debian/copyright as per DEP-5.
  * YUV_420_USE_YV12 option affects the wrong encoding (Closes: #466142):
    - The build configuration option --with-pal-yuv=YV12 actually affects
      encoding of "NTSC", inconsistent with decoding. This option is not
      currently used in Debian but could affect those who rebuild it.
      Thanks to Ben Hutchings for report and patch.
  * Fix binary-control-field-duplicates-source
  * Fix small misspellings.
  * Fix hyphen-used-as-minus-sign.
  * Run wrap-and-sort -a -s.
  * Add watch file.

