=== debian/control ===
Source: libdv
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 file,
 libglib2.0-dev,
 libpopt-dev,
 libx11-dev,
 libxext-dev,
 libxt-dev,
 libxv-dev,
 pkg-config,
 x11proto-core-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: http://libdv.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/libdv
Vcs-Git: https://salsa.debian.org/debian/libdv.git

Package: libdv-bin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 oss-compat,
Replaces:
 libdv-dev (<< 0.98-1),
Description: software library for DV format digital video (sample apps)
 The Quasar DV Codec (libdv) is a software decoder for DV format video, as
 defined by the IEC 61834 and SMPTE 314M standards. DV is the encoding format
 used by consumer-grade digital camcorders.
 .
 This package contains sample programs for viewing (playdv), encoding
 (encodedv), transferring DV data (dvconnect) and insert audio into a DV
 stream (dubdv).

Package: libdv4t64
Provides: ${t64:Provides}
Replaces: libdv4
Breaks: libdv4 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libdv-bin,
 oss-compat,
Description: software library for DV format digital video (runtime lib)
 The Quasar DV Codec (libdv) is a software decoder for DV format video, as
 defined by the IEC 61834 and SMPTE 314M standards. DV is the encoding format
 used by consumer-grade digital camcorders.
 .
 This package contains the library needed to run executables using libdv.

Package: libdv4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libdv4t64 (= ${binary:Version}),
 libpopt-dev,
 ${misc:Depends},
Recommends:
 pkg-config,
Conflicts:
 libdv-dev,
Replaces:
 libdv-dev,
Provides:
 libdv-dev,
Description: software library for DV format digital video (devel files)
 The Quasar DV Codec (libdv) is a software decoder for DV format video, as
 defined by the IEC 61834 and SMPTE 314M standards. DV is the encoding format
 used by consumer-grade digital camcorders.
 .
 This package contains the development headers and library files needed to
 compile programs using libdv.
