=== debian/watch ===
version=3
https://sf.net/libdv/libdv-(.*)\.tar\.gz
